import type { ExtraConfig } from '/@/utils/request';
import request from '/@/utils/request';

/**
 * @summary description
 */
export const getSupervisorList = async (req: any = request) => {
	return req({
		url: '/admin/supervisor/get_amis_supervisor_list',
		method: 'POST',
	});
};

/**
 * @summary description
 */
export const deleteSupervisor = async (params, req: any = request) => {
	return req({
		url: '/admin/supervisor/delete_amis_supervisor_info',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary description
 */
export const updateSupervisor = async (params, req: any = request) => {
	return req({
		url: '/admin/supervisor/update_amis_supervisor_info',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary description
 */
export const addSupervisor = async (params, req: any = request) => {
	return req({
		url: '/admin/supervisor/add_amis_supervisor_info',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary description
 */
export const getLowCodeJson = async (params, req: any = request) => {
	return req({
		url: '/admin/supervisor/get_amis_supervisor_xml',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary description
 */
export const updateAmisJson = async (params, req: any = request) => {
	return req({
		url: '/admin/supervisor/update_amis_supervisor_json',
		method: 'POST',
		data: params,
	});
};
/**
 * @summary description
 */
export const updateSqlApi = async (params, extraData: ExtraConfig = {}, req: any = request) => {
	return req({
		url: '/admin/supervisor/update_amis_supervisor_sql',
		method: 'POST',
		data: params,
		...extraData,
	});
};

/**
 * @summary description
 */
export const updatePublishStatus = async (params, req: any = request) => {
	return req({
		url: '/admin/supervisor/update_amis_supervisor_publish',
		method: 'POST',
		data: params,
	});
};
